<div id="dialog-add-to-cart">
  <v-row justify="center">
    <v-dialog v-model="dialogAddToCart" persistent max-width="800">
      <v-card class="pa-0">
        <div class="d-flex justify-end pa-4">
          <v-btn icon small @click="closeDialogAddToCart()">
            <v-icon color="#949494">
              mdi-close
            </v-icon>
          </v-btn>
        </div>
        <div style="height: 600px; overflow-y: scroll" class="px-4">
          <v-row no-gutters>
            <v-col cols="12" sm="5" class="pa-3">
              <vueper-slides ref="vueperslides1" :touchable="false" fade :autoplay="false" :bullets="false"
                @slide="$refs.vueperslides2.goToSlide($event.currentSlide.index, { emit: false })" fixed-height="400px">
                <vueper-slide v-for="(slide, i) in slides" :key="i" :image="slide.image">
                </vueper-slide>
              </vueper-slides>

              <vueper-slides class="no-shadow thumbnails" ref="vueperslides2"
                @slide="$refs.vueperslides1.goToSlide($event.currentSlide.index, { emit: false })"
                :visible-slides="slides.length" fixed-height="75px" :bullets="false" :touchable="false" :gap="2.5"
                :arrows="false">
                <vueper-slide v-for="(slide, i) in slides" :key="i" :image="slide.image"
                  @click.native="$refs.vueperslides2.goToSlide(i)">
                </vueper-slide>
              </vueper-slides>
            </v-col>
            <v-col cols="12" sm="7" class="pa-3">
              <div>
                <h2 class="mb-0 fsize-24">
                  1 Pair Concealed Footbed Enhancers Invisible Height Increase Insoles Silicone Foot Lift Pads Dress
                  In Socks
                  Tool
                </h2>
                <div class="my-3 d-flex align-center">
                  <h2 class="mb-0 fsize-24">
                    $14.99 <span class="text-decoration-line-through ml-1">$29.95</span>
                  </h2>
                  <!-- <div class="pa-1 color-product-detail-sale rounded ml-3">
                    <p class="mb-0 fsize-16 white--text">
                      Save $14.96
                    </p>
                  </div> -->
                </div>
                <div class="my-3">
                  <nuxt-link
                    to="/products/new-funny-cat-toys-interactive-teaser-training-toy-kittens-interactive-games-pet-supplies-accessories-toys-for-cat"
                    class="hover-link color-button-product-detail">
                    <p class="mb-0 color-button-product-detail">
                      See item details
                    </p>
                  </nuxt-link>
                </div>
                <div class="mt-3">
                  <div class="my-4 d-flex align-center justify-space-between">
                    <v-btn width="100%" color="#FF9934" class="elevation-0 rounded-0" height="50px"
                      @click="onAddToCart()">
                      <p class="mb-0 white--text h6">
                        Add to cart
                      </p>
                    </v-btn>
                  </div>
                </div>
              </div>
            </v-col>
          </v-row>
          <div class="pa-4">
            <v-divider class="my-3"></v-divider>
            <div>
              <p class="fsize-20 mb-4">
                Frequently bought together
              </p>
              <div class="d-flex flex-wrap align-center">
                <div class="product-frequently-bought-together">
                  <img src="https://img.thesitebase.net/10328/10328418/products/180x180@1663696451a6d15d02fc.png"
                    alt="Pet Grooming Tool - 2 Sided Undercoat Rake" data-priority="false"
                    onload="this.dataset.loaded=true;" onerror="this.dataset.error=true;" data-loaded="true"
                    width="100%" height="100%">
                </div>
                <div style="width: 14px">
                  <v-icon color="#FF9934" size="20" style="position: relative;left: -3px">
                    mdi-plus-circle
                  </v-icon>
                </div>
                <div class="product-frequently-bought-together">
                  <img src="https://img.thesitebase.net/10328/10328418/products/180x180@1663697206d3de950555.jpeg"
                    alt="Pet Grooming Tool - 2 Sided Undercoat Rake" data-priority="false"
                    onload="this.dataset.loaded=true;" onerror="this.dataset.error=true;" data-loaded="true"
                    width="100%" height="100%">
                  <div class="product-frequently-quickview">
                    <div>
                      <div class="d-flex justify-center">
                        <v-icon color="#ffffff" size="18" class="product-frequently-quickview__icon">
                          mdi-eye
                        </v-icon>
                      </div>
                      <p
                        class="mb-0 white--text subTitle2Semibold text-uppercase mt-1 product-frequently-quickview__text">
                        Quick View
                      </p>
                    </div>
                  </div>
                </div>
                <div style="width: 14px">
                  <v-icon color="#FF9934" size="20" style="position: relative;left: -3px">
                    mdi-plus-circle
                  </v-icon>
                </div>
                <div class="product-frequently-bought-together">
                  <img src="https://img.thesitebase.net/10328/10328418/products/180x180@1663697206d3de950555.jpeg"
                    alt="Pet Grooming Tool - 2 Sided Undercoat Rake" data-priority="false"
                    onload="this.dataset.loaded=true;" onerror="this.dataset.error=true;" data-loaded="true"
                    width="100%" height="100%">
                  <div class="product-frequently-quickview">
                    <div>
                      <div class="d-flex justify-center">
                        <v-icon color="#ffffff" size="18" class="product-frequently-quickview__icon">
                          mdi-eye
                        </v-icon>
                      </div>
                      <p
                        class="mb-0 white--text subTitle2Semibold text-uppercase mt-1 product-frequently-quickview__text">
                        Quick View
                      </p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="my-5 border-item__content">
                <v-row no-gutters>
                  <v-col cols="12" sm="7" class="pa-3">
                    <div class="d-flex align-center justify-space-between" v-for="(product,i) in listProductFrequently"
                      :key="i">
                      <div>
                        <div class="d-flex align-center checkbox-product" id="hideBottomInput">
                          <v-checkbox dense outlined class="mr-0">
                          </v-checkbox>
                          <div style="min-width: 72px;" class="px-1 mr-2 ml-1 mt-2 backgroundGrey rounded"
                            v-if="product.priority === 1">
                            <p class="fsize-11 mb-0 text-uppercase color-main-menu text-center">
                              This item
                            </p>
                          </div>
                          <div>
                            <p class="mb-0 subTitle2Semibold mt-2">
                              {{product.name}}
                            </p>
                          </div>
                        </div>
                        <div class="mt-2 mr-2 ml-7">
                          <p class="mb-0 fsize-13 colorGreyBold">
                            ${{product.price}}
                          </p>
                        </div>
                      </div>
                    </div>
                  </v-col>
                  <v-col cols="12" sm="5" class="pa-3">
                    <div class="my-4">
                      <p class="mb-0 bodyBold text-uppercase colorGreyBold text-center">
                        Total Price
                        <span class="black--text ml-3">
                          $0.00
                        </span>
                      </p>
                      <v-btn color="#FF9934" block class="elevation-0 rounded-0 mt-3" height="44px">
                        <p class="mb-0 bodyBold white--text">
                          Add all to cart
                        </p>
                      </v-btn>
                    </div>
                  </v-col>
                </v-row>
              </div>
            </div>
          </div>
          <div class="mb-6" style="width: 100%">
            <h4 class="h4 text-center">
              Cart recommendations
            </h4>
            <div class="mt-3">
              <div style="height: 365px">
                <VueSlickCarousel v-bind="settings">
                  <div class="carousel-card-modal pb-3" v-for="(carousel, i) in listCartRecommentdations" :key="i">
                    <nuxt-link :to="carousel.link" class="text-decoration-none">
                      <div>
                        <img :src="carousel.image" alt="" width="100%">
                      </div>
                      <div class="pa-4">
                        <p class="mb-0 fsize-14">
                          {{carousel.name.length > 25 ? carousel.name.slice(0,50) : carousel.name}}...
                        </p>
                        <p class="mb-0 mt-3 body black--text">
                          ${{carousel.price}} <span class="text-decoration-line-through ml-1">
                            ${{carousel.priceDiscount}}
                          </span>
                        </p>
                      </div>
                    </nuxt-link>
                    <div class="mt-3 pb-5 d-flex justify-center btn-card" style="position: relative; z-index: 99"
                      @click="onAddToCart()">
                      <v-btn color="#ff7f01" class="rounded-0 elevation-0">
                        <span class="white--text">
                          Add to cart
                        </span>
                      </v-btn>
                    </div>
                  </div>
                </VueSlickCarousel>
              </div>
            </div>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
